Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Deploy Pyflink Job

Deploy a PyFlink agent.

Either upload a Python file as multipart OR provide inline python_code as a form field. Form fields: name, parallelism (default 1), job_args (JSON string), python_code (alternative to file).

POST/agents/pyflink
Authorization
AuthorizationBearer token · headerrequired
Request body
multipart/form-data
python_filestring | any
Show properties
Any of:
string
string
any
any
Responses
200

Successful Response

_idstringrequired
namestringrequired
job_typeapp__models__api__agents_api_models__flink_jobs__FlinkJobTypeEnumrequired
Allowed:pyflinkjaragent_configknowledge_base
statusFlinkJobStatusEnumrequired
Allowed:CREATEDDEPLOYINGRUNNINGCANCELLINGCANCELLEDFAILEDFINISHED
desired_statusFlinkJobStatusEnum | any
Show properties
Any of:
FlinkJobStatusEnum
string
any
any
flink_job_namestringrequired
flink_job_idstring | any
Show properties
Any of:
string
string
any
any
parallelisminteger
default: 1
error_messagestring | any
Show properties
Any of:
string
string
any
any
agent_configobject | any
Show properties
Any of:
object
object
any
any
created_bystring | any
Show properties
Any of:
string
string
any
any
created_timestampstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
updated_timestampstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "https://api.streamkap.com/agents/pyflink" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: multipart/form-data" \
  -d '{
  "python_file": "string"
}'
Response
{
  "_id": "string",
  "name": "string",
  "job_type": "pyflink",
  "status": "CREATED",
  "desired_status": "CREATED",
  "flink_job_name": "string",
  "flink_job_id": "string",
  "parallelism": 1,
  "error_message": "string",
  "agent_config": {},
  "created_by": "string",
  "created_timestamp": "2019-08-24T14:15:22Z",
  "updated_timestamp": "2019-08-24T14:15:22Z"
}